## libkavorka-perl 0.036

=== debian/changelog ===
libkavorka-perl (0.036-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-Git field to use https URL.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .git* file.
  * Bump debhelper compatibility level to 9.
  * Update watch file:
    + Bump to file format 4.
    + Watch only metacpan URL.
    + Mention gbp --uscan in usage comment.
  * Drop CDBS get-orig-source target: Use gbp import-orig --uscan.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for Debian packaging.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Git-ignore quilt .pc dir.
  * Fix dependency on Data::Alias:
    + Add patch 1001 to use recent Perl instead of Data::Alias.
    + (Build-)depend on recent perl favored over libdata-alias-perl.
    Closes: Bug#834800. Thanks to Daniel Dehennin.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Dec 2016 02:35:18 +0100

libkavorka-perl (0.036-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Eliminate autovivification of %DEFERRED keys.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Drop "git-" prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 May 2015 11:53:52 +0200

libkavorka-perl (0.035-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#779088.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2015 19:30:45 +0100
