=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2015-2016, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Kavorka
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

# Needed by upstream build and (always) at runtime
#  * Recent Scalar::List::Utils needed for Sub::Util
perl-deps = exporter-tiny module-runtime padwalker
perl-deps += parse-keyword return-type type-tiny
perl-deps += match-simple namespace-sweep
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps +=, libmoo-perl (>= 1.003001)
deps +=, libscalar-list-utils-perl (>= 1:1.40)
deps +=, perl (>= 5.22) | libdata-alias-perl
deps +=, perl (>= 5.14)

# Needed (often) at runtime
recommends = libtype-tiny-xs-perl

# Needed (mandatory/optionally) by upstream testsuite
perl-deps-test = test-fatal test-requires
deps-test = $(patsubst %,$(comma) lib%-perl,$(perl-deps-test))
deps-test +=, perl (>= 5.13.4) | libtest-simple-perl (>= 0.96)
deps-test-opt = libclass-tiny-perl, libmoosex-types-perl, libdatetime-perl
deps-test-opt +=, libclass-method-modifiers-perl (>= 2.03)
deps-test-opt +=, libmoose-perl (>= 2)
deps-test-opt +=, libmouse-perl (>= 1)
deps-test-opt +=, librole-tiny-perl (>= 1.003000)

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test), $(deps-test-opt)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_RECOMMENDS_$(pkg) = $(recommends)

DEB_INSTALL_EXAMPLES_$(pkg) = examples/*
