## libkavorka-perl 0.039

=== debian/changelog ===
libkavorka-perl (0.039-3) unstable; urgency=medium

  [ gregor herrmann, with Jonas Smedegaard as sidekick ]
  * Suggest libmoose-perl: Needed by MooseX::KavorkaInfo.
    Tell autopkgtest to skip MooseX/KavorkaInfo.pm.
    Thanks to ci.debian.net.
  * Test-only build-depend on libmoops-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Jan 2019 20:15:58 +0100

libkavorka-perl (0.039-2) unstable; urgency=medium

  * Drop obsolete README.source from source package.
  * Tighten lintian overrides regarding License-Reference.
  * Fix hashbang in example file.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Jan 2019 03:12:04 +0100

libkavorka-perl (0.039-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Tighten version regex.
  * Modernize Vcs-* fields:
    + Use git subdir (not cgit).
    + Add .git suffix for Vcs-Git URL.
  * Update copyright info: Extend coverage of Debian packaging.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck.
    + Stop resolve binary package relations in rules file.
    + Declare examples in debhelper hint files.
  * Update watch file:
    + Fix typo in usage comment.
    + Use substitution strings.
  * Mark build-dependencies needed only for testsuite as such.
  * Relax to (build-)depend unversioned
    on libclass-method-modifiers-perl libmoo-perl libmoose-perl
    libmouse-perl librole-tiny-perl perl:
    Needed versions satisfied even in oldstable.
    Stop (build-)depend explicitly on libscalar-list-utils-perl
    libtest-simple-perl:
    Needed versions satisfied by perl even in oldstable.
  * Use short-form dh sequencer (not cdbs).
    Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.3.0.
  * Drop patch 1001: Applied upstream.
  * Update copyright info:
    + Use https protocol in firle format URL.
    + Stop track no longer included file CONTRIBUTING.
    + Extend ownership coverage.
    + Rewrap using semantic linefeeds.
  * Enable autopkgtest.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Jan 2019 02:23:36 +0100
