=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
https://metacpan.org/release/Kavorka \
.*/Kavorka-@ANY_VERSION@@ARCHIVE_EXT@
